
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <pvm3.h>

int main(int argc, char **argv)
{

	int mytid;
	char *buf;
	long int size;
	char *working_dir;

	mytid = pvm_mytid();

	printf("PVM_ROOT = %s\n", getenv("PVM_ROOT"));
	printf("PVM_RSH = %s\n", getenv("PVM_RSH"));
	printf("PVM_EXPORT = %s\n", getenv("PVM_EXPORT"));
	printf("TERM = %s\n", getenv("TERM"));
	printf("PVM_WD = %s\n", getenv("PVM_WD"));

	size = pathconf("/home", _PC_PATH_MAX);
	buf = (char *)malloc(sizeof(char)*size);
	working_dir = getcwd(buf, size);
	printf("working directory = %s\n", buf);
	free(buf);

	pvm_exit();
	exit(0);
}
